"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
function formatCmyk(value) {
    if (!value) {
        return 'Invalid Color';
    }
    if (typeof value.alpha !== 'undefined' && utils_1.isBetween(0, 0.999)(value.alpha)) {
        return "cmyka(" + value.cyan + "," + value.magenta + "," + value.yellow + "," + value.key + "," + value.alpha + ")";
    }
    return "cmyk(" + value.cyan + "," + value.magenta + "," + value.yellow + "," + value.key + ")";
}
exports.formatCmyk = formatCmyk;
//# sourceMappingURL=formatCmyk.js.map