"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
function formatHex(value) {
    if (!value) {
        return 'Invalid Color';
    }
    if (value.alpha !== undefined && utils_1.isBetween(0, 0.999)(utils_1.hexNumToDec(value.alpha) / 255)) {
        return "#" + value.red + value.green + value.blue + value.alpha;
    }
    return "#" + value.red + value.green + value.blue;
}
exports.formatHex = formatHex;
//# sourceMappingURL=formatHex.js.map