"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
function formatHsv(value) {
    if (!value) {
        return 'Invalid Color';
    }
    if (value.alpha !== undefined && utils_1.isBetween(0, 0.999)(value.alpha)) {
        return "hsva(" + value.hue + "," + value.sat + "%," + value.val + "%," + value.alpha + ")";
    }
    return "hsv(" + value.hue + "," + value.sat + "%," + value.val + "%)";
}
exports.formatHsv = formatHsv;
//# sourceMappingURL=formatHsv.js.map