"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parseCmyk_1 = require("./parseCmyk");
var utils_1 = require("./utils");
function isValidCmyk(value) {
    var cmyk = typeof value === 'string' ? parseCmyk_1.parseCmyk(value) : value;
    if (!cmyk) {
        return false;
    }
    var isPercentage = utils_1.isBetween(0, 100);
    return isPercentage(cmyk.cyan) && isPercentage(cmyk.magenta) && isPercentage(cmyk.yellow) && isPercentage(cmyk.key);
}
exports.isValidCmyk = isValidCmyk;
//# sourceMappingURL=isValidCmyk.js.map