"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parseHex_1 = require("./parseHex");
function isValidHex(value) {
    var normalizedVal = typeof value === 'string' ? parseHex_1.parseHex(value) : value;
    if (!normalizedVal) {
        return false;
    }
    var red = normalizedVal.red, green = normalizedVal.green, blue = normalizedVal.blue;
    return /(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test("#" + red + green + blue);
}
exports.isValidHex = isValidHex;
//# sourceMappingURL=isValidHex.js.map